#include "run-time.h"

void _Init_dfmc_definitions_ () __attribute__((constructor));
void _Init_dfmc_definitions_ () {
  extern void _Init_Run_Time();
  extern void _Init_dfmc_macro_expander_();
  extern void _Init_dfmc_reader_();
  extern void _Init_dfmc_conditions_();
  extern void _Init_dfmc_namespace_();
  extern void _Init_dfmc_common_();
  extern void _Init_dylan_();
  extern void _Init_dfmc_definitions__X_definitions_library_for_system();
  extern void _Init_dfmc_definitions__X_dependencies_for_system();
  extern void _Init_dfmc_definitions__X_boot_definitions_for_system();
  extern void _Init_dfmc_definitions__X_top_level_convert_for_system();
  extern void _Init_dfmc_definitions__X_properties_for_system();
  extern void _Init_dfmc_definitions__X_options_for_system();
  extern void _Init_dfmc_definitions__X_missing_for_system();
  extern void _Init_dfmc_definitions__X_parse_namespace_clauses_for_system();
  extern void _Init_dfmc_definitions__X_parse_class_clauses_for_system();
  extern void _Init_dfmc_definitions__X_parse_signatures_for_system();
  extern void _Init_dfmc_definitions__X_parse_bindings_for_system();
  extern void _Init_dfmc_definitions__X_define_namespace_for_system();
  extern void _Init_dfmc_definitions__X_define_library_for_system();
  extern void _Init_dfmc_definitions__X_define_module_for_system();
  extern void _Init_dfmc_definitions__X_define_macro_for_system();
  extern void _Init_dfmc_definitions__X_define_class_for_system();
  extern void _Init_dfmc_definitions__X_define_function_for_system();
  extern void _Init_dfmc_definitions__X_define_generic_for_system();
  extern void _Init_dfmc_definitions__X_define_method_for_system();
  extern void _Init_dfmc_definitions__X_define_copy_down_for_system();
  extern void _Init_dfmc_definitions__X_define_domain_for_system();
  extern void _Init_dfmc_definitions__X_define_primitive_for_system();
  extern void _Init_dfmc_definitions__X_define_binding_for_system();
  extern void _Init_dfmc_definitions__X_define_constant_for_system();
  extern void _Init_dfmc_definitions__X_define_variable_for_system();
  extern void _Init_dfmc_definitions__X_define_optimizer_for_system();
  extern void _Init_dfmc_definitions__X_define_compiler_for_system();
  extern void _Init_dfmc_definitions__X_define_shared_symbols_for_system();
  extern void _Init_dfmc_definitions__X_definitions_library_for_user();
  extern void _Init_dfmc_definitions__X_dependencies_for_user();
  extern void _Init_dfmc_definitions__X_boot_definitions_for_user();
  extern void _Init_dfmc_definitions__X_top_level_convert_for_user();
  extern void _Init_dfmc_definitions__X_properties_for_user();
  extern void _Init_dfmc_definitions__X_options_for_user();
  extern void _Init_dfmc_definitions__X_missing_for_user();
  extern void _Init_dfmc_definitions__X_parse_namespace_clauses_for_user();
  extern void _Init_dfmc_definitions__X_parse_class_clauses_for_user();
  extern void _Init_dfmc_definitions__X_parse_signatures_for_user();
  extern void _Init_dfmc_definitions__X_parse_bindings_for_user();
  extern void _Init_dfmc_definitions__X_define_namespace_for_user();
  extern void _Init_dfmc_definitions__X_define_library_for_user();
  extern void _Init_dfmc_definitions__X_define_module_for_user();
  extern void _Init_dfmc_definitions__X_define_macro_for_user();
  extern void _Init_dfmc_definitions__X_define_class_for_user();
  extern void _Init_dfmc_definitions__X_define_function_for_user();
  extern void _Init_dfmc_definitions__X_define_generic_for_user();
  extern void _Init_dfmc_definitions__X_define_method_for_user();
  extern void _Init_dfmc_definitions__X_define_copy_down_for_user();
  extern void _Init_dfmc_definitions__X_define_domain_for_user();
  extern void _Init_dfmc_definitions__X_define_primitive_for_user();
  extern void _Init_dfmc_definitions__X_define_binding_for_user();
  extern void _Init_dfmc_definitions__X_define_constant_for_user();
  extern void _Init_dfmc_definitions__X_define_variable_for_user();
  extern void _Init_dfmc_definitions__X_define_optimizer_for_user();
  extern void _Init_dfmc_definitions__X_define_compiler_for_user();
  extern void _Init_dfmc_definitions__X_define_shared_symbols_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dfmc_macro_expander_();
    _Init_dfmc_reader_();
    _Init_dfmc_conditions_();
    _Init_dfmc_namespace_();
    _Init_dfmc_common_();
    _Init_dylan_();
    _Init_dfmc_definitions__X_definitions_library_for_system();
    _Init_dfmc_definitions__X_dependencies_for_system();
    _Init_dfmc_definitions__X_boot_definitions_for_system();
    _Init_dfmc_definitions__X_top_level_convert_for_system();
    _Init_dfmc_definitions__X_properties_for_system();
    _Init_dfmc_definitions__X_options_for_system();
    _Init_dfmc_definitions__X_missing_for_system();
    _Init_dfmc_definitions__X_parse_namespace_clauses_for_system();
    _Init_dfmc_definitions__X_parse_class_clauses_for_system();
    _Init_dfmc_definitions__X_parse_signatures_for_system();
    _Init_dfmc_definitions__X_parse_bindings_for_system();
    _Init_dfmc_definitions__X_define_namespace_for_system();
    _Init_dfmc_definitions__X_define_library_for_system();
    _Init_dfmc_definitions__X_define_module_for_system();
    _Init_dfmc_definitions__X_define_macro_for_system();
    _Init_dfmc_definitions__X_define_class_for_system();
    _Init_dfmc_definitions__X_define_function_for_system();
    _Init_dfmc_definitions__X_define_generic_for_system();
    _Init_dfmc_definitions__X_define_method_for_system();
    _Init_dfmc_definitions__X_define_copy_down_for_system();
    _Init_dfmc_definitions__X_define_domain_for_system();
    _Init_dfmc_definitions__X_define_primitive_for_system();
    _Init_dfmc_definitions__X_define_binding_for_system();
    _Init_dfmc_definitions__X_define_constant_for_system();
    _Init_dfmc_definitions__X_define_variable_for_system();
    _Init_dfmc_definitions__X_define_optimizer_for_system();
    _Init_dfmc_definitions__X_define_compiler_for_system();
    _Init_dfmc_definitions__X_define_shared_symbols_for_system();
    _Init_dfmc_definitions__X_definitions_library_for_user();
    _Init_dfmc_definitions__X_dependencies_for_user();
    _Init_dfmc_definitions__X_boot_definitions_for_user();
    _Init_dfmc_definitions__X_top_level_convert_for_user();
    _Init_dfmc_definitions__X_properties_for_user();
    _Init_dfmc_definitions__X_options_for_user();
    _Init_dfmc_definitions__X_missing_for_user();
    _Init_dfmc_definitions__X_parse_namespace_clauses_for_user();
    _Init_dfmc_definitions__X_parse_class_clauses_for_user();
    _Init_dfmc_definitions__X_parse_signatures_for_user();
    _Init_dfmc_definitions__X_parse_bindings_for_user();
    _Init_dfmc_definitions__X_define_namespace_for_user();
    _Init_dfmc_definitions__X_define_library_for_user();
    _Init_dfmc_definitions__X_define_module_for_user();
    _Init_dfmc_definitions__X_define_macro_for_user();
    _Init_dfmc_definitions__X_define_class_for_user();
    _Init_dfmc_definitions__X_define_function_for_user();
    _Init_dfmc_definitions__X_define_generic_for_user();
    _Init_dfmc_definitions__X_define_method_for_user();
    _Init_dfmc_definitions__X_define_copy_down_for_user();
    _Init_dfmc_definitions__X_define_domain_for_user();
    _Init_dfmc_definitions__X_define_primitive_for_user();
    _Init_dfmc_definitions__X_define_binding_for_user();
    _Init_dfmc_definitions__X_define_constant_for_user();
    _Init_dfmc_definitions__X_define_variable_for_user();
    _Init_dfmc_definitions__X_define_optimizer_for_user();
    _Init_dfmc_definitions__X_define_compiler_for_user();
    _Init_dfmc_definitions__X_define_shared_symbols_for_user();
  }
}
